Bug 6704 - errors in configure
errors in configure
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.1
Sparc Solaris
: P3 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 03:16 UTC by Alexandr
Modified: 2009-10-02 05:07 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr 2009-09-10 03:16:30 UTC
After successful build of samba-3.4.0
I have troubles with samba-3.4.1? with same configure options

configure error:

....
....
checking for aio_suspend64... yes
checking whether to check to support sendfile... yes
checking for sendfilev in -lsendfile... yes
checking for solaris sendfilev64 support... yes
checking for solaris sendfilev support... yes
checking for Linux readahead... no
checking for readahead declaration... no
checking for posix_fadvise... no
checking for splice declaration... no
checking for a broken readlink syscall... no
checking whether to build winbind... yes
checking for pthread_mutex_lock in -lpthread... yes
checking for union nss_XbyY_key.ipnode.af_family... yes
checking for struct passwd.pw_comment... yes
checking for struct passwd.pw_age... yes
checking for struct secmethod_table.method_attrlist... no
checking for struct secmethod_table.method_version... no
checking for SO_PEERCRED... no
checking for poptGetContext in -lpopt... yes
checking whether to use included popt... no
checking avahi-common/watch.h usability... no
checking avahi-common/watch.h presence... no
checking for avahi-common/watch.h... no
checking avahi-client/client.h usability... no
checking avahi-client/client.h presence... no
checking for avahi-client/client.h... no
checking for avahi_client_new in -lavahi-client... no
checking for avahi_strerror in -lavahi-common... no
./configure: test: unknown operator x
Comment 1 Björn Jacke 2009-09-11 03:56:58 UTC
can you please attach the config.log ?
Comment 2 Björn Jacke 2009-09-11 05:40:59 UTC
quite sure this is b54e48b830dbc3d66f9de5d2711a57a1630809e2 which needs to get into 3.4. Karolin, can you please pick that one?
Comment 3 Volker Lendecke 2009-09-11 07:35:21 UTC
If an ack is needed: Here it is :-)

Volker
Comment 4 Karolin Seeger 2009-09-11 07:44:49 UTC
(In reply to comment #3)
> If an ack is needed: Here it is :-)
> 
> Volker
> 

Of course! :-)
Thanks, Volker.
Comment 5 Karolin Seeger 2009-09-11 07:45:27 UTC
Pushed, will be included in 3.4.2.
Closing out bug report.
Please reopen if it's still an issue.

Thanks!
Comment 6 Alexandr 2009-10-01 09:44:59 UTC
Configuring samba 3.4.2 - same bug

checking for aio_suspend64... yes
checking whether to check to support sendfile... yes
checking for sendfilev in -lsendfile... yes
checking for solaris sendfilev64 support... yes
checking for solaris sendfilev support... yes
checking for Linux readahead... no
checking for readahead declaration... no
checking for posix_fadvise... no
checking for splice declaration... no
checking for a broken readlink syscall... no
checking whether to build winbind... yes
checking for pthread_mutex_lock in -lpthread... yes
checking for union nss_XbyY_key.ipnode.af_family... yes
checking for struct passwd.pw_comment... yes
checking for struct passwd.pw_age... yes
checking for struct secmethod_table.method_attrlist... no
checking for struct secmethod_table.method_version... no
checking for SO_PEERCRED... no
checking for poptGetContext in -lpopt... yes
checking whether to use included popt... no
checking avahi-common/watch.h usability... no
checking avahi-common/watch.h presence... no
checking for avahi-common/watch.h... no
checking avahi-client/client.h usability... no
checking avahi-client/client.h presence... no
checking for avahi-client/client.h... no
checking for avahi_client_new in -lavahi-client... no
checking for avahi_strerror in -lavahi-common... no
./configure: test: unknown operator x
Comment 7 Alexandr 2009-10-01 09:55:25 UTC
The file config.log too big to attach to bugzilla.

external link to my page:
http://sourceforge.net/projects/mysoho/files/config.log/download
Comment 8 Karolin Seeger 2009-10-02 05:07:32 UTC
As 3.4.2 is a Security release only, the patch is not included. It will be in 3.4.3. Closing out bug report.

Please reopen if the patch does not fix the issue.

Thanks!